Waveform view corrupted in all versions from 1.3.4 - trunk

This section is now closed.

Audacity 1.3.x is now obsolete. Please use the current Audacity 2.0.x package for your distribution or compile Audacity from the source code.

Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by slackfx » Tue May 05, 2009 9:13 am

Hi, I am experiencing a rather silly bug. It began some time ago, so I do not know what caused the issue.
In the attachment you can see, how Audacity displays every waveform on my machine.

Steps to reproduce:
- start Audacity
- generate 30s tone of the frequency 400Hz
- zoom in

aud1.gif
aud1.gif (26.74 KiB) Viewed 3281 times


It looks like vertical lines are just skipped? I compiled every version in the repository but the issue persisted.
Nevertheless when I print the waveform through the printing menu (PDF printer), then everything looks like it should.
That is why I think, that the issue is caused by some third party library...
Any ideas?

I running:
Linux version 2.6.29.2 (gcc version 4.3.3 (Gentoo 4.3.3-r2 p1.1, pie-10.1.5) ) #1 SMP PREEMPT Sat May 2 22:42:06 CEST 2009

Code: Select all
ldd /usr/bin/audacity
   linux-vdso.so.1 =>  (0x00007fff9d5fe000)
   libvorbisenc.so.2 => /usr/lib/libvorbisenc.so.2 (0x00007f2394ec2000)
   libvorbisfile.so.3 => /usr/lib/libvorbisfile.so.3 (0x00007f2394cba000)
   libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0x00007f2394a8f000)
   libogg.so.0 => /usr/lib/libogg.so.0 (0x00007f2394889000)
   libmad.so.0 => /usr/lib/libmad.so.0 (0x00007f2394669000)
   libsndfile.so.1 => /usr/lib/libsndfile.so.1 (0x00007f239440b000)
   libexpat.so.1 => /usr/lib/libexpat.so.1 (0x00007f23941e8000)
   libwx_gtk2u_richtext-2.8.so.0 => /usr/lib/libwx_gtk2u_richtext-2.8.so.0 (0x00007f2393edf000)
   libwx_gtk2u_aui-2.8.so.0 => /usr/lib/libwx_gtk2u_aui-2.8.so.0 (0x00007f2393c69000)
   libwx_gtk2u_xrc-2.8.so.0 => /usr/lib/libwx_gtk2u_xrc-2.8.so.0 (0x00007f23939c8000)
   libwx_gtk2u_qa-2.8.so.0 => /usr/lib/libwx_gtk2u_qa-2.8.so.0 (0x00007f23937a2000)
   libwx_gtk2u_html-2.8.so.0 => /usr/lib/libwx_gtk2u_html-2.8.so.0 (0x00007f23934ed000)
   libwx_gtk2u_adv-2.8.so.0 => /usr/lib/libwx_gtk2u_adv-2.8.so.0 (0x00007f2393207000)
   libwx_gtk2u_core-2.8.so.0 => /usr/lib/libwx_gtk2u_core-2.8.so.0 (0x00007f2392c01000)
   libwx_baseu_xml-2.8.so.0 => /usr/lib/libwx_baseu_xml-2.8.so.0 (0x00007f23929f6000)
   libwx_baseu_net-2.8.so.0 => /usr/lib/libwx_baseu_net-2.8.so.0 (0x00007f23927c3000)
   libwx_baseu-2.8.so.0 => /usr/lib/libwx_baseu-2.8.so.0 (0x00007f239245e000)
   libasound.so.2 => /usr/lib/libasound.so.2 (0x00007f2392198000)
   libjack.so.0 => /usr/lib/libjack.so.0 (0x00007f2391f7d000)
   libpthread.so.0 => /lib/libpthread.so.0 (0x00007f2391d62000)
   librt.so.1 => /lib/librt.so.1 (0x00007f2391b59000)
   libm.so.6 => /lib/libm.so.6 (0x00007f23918da000)
   libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.3/libstdc++.so.6 (0x00007f23915d7000)
   libgcc_s.so.1 => /lib/libgcc_s.so.1 (0x00007f23913c1000)
   libc.so.6 => /lib/libc.so.6 (0x00007f2391079000)
   libdl.so.2 => /lib/libdl.so.2 (0x00007f2390e75000)
   libgtk-x11-2.0.so.0 => /usr/lib/libgtk-x11-2.0.so.0 (0x00007f23908dd000)
   libgobject-2.0.so.0 => /usr/lib/libgobject-2.0.so.0 (0x00007f239069a000)
   libglib-2.0.so.0 => /usr/lib/libglib-2.0.so.0 (0x00007f23903c3000)
   libFLAC.so.8 => /usr/lib/libFLAC.so.8 (0x00007f239018c000)
   libz.so.1 => /lib/libz.so.1 (0x00007f238ff77000)
   libgdk-x11-2.0.so.0 => /usr/lib/libgdk-x11-2.0.so.0 (0x00007f238fce0000)
   libatk-1.0.so.0 => /usr/lib/libatk-1.0.so.0 (0x00007f238fac0000)
   libgio-2.0.so.0 => /usr/lib/libgio-2.0.so.0 (0x00007f238f855000)
   libpangoft2-1.0.so.0 => /usr/lib/libpangoft2-1.0.so.0 (0x00007f238f629000)
   libgdk_pixbuf-2.0.so.0 => /usr/lib/libgdk_pixbuf-2.0.so.0 (0x00007f238f40f000)
   libpango-1.0.so.0 => /usr/lib/libpango-1.0.so.0 (0x00007f238f1c8000)
   libfreetype.so.6 => /usr/lib/libfreetype.so.6 (0x00007f238ef3b000)
   libfontconfig.so.1 => /usr/lib/libfontconfig.so.1 (0x00007f238ed0c000)
   libgmodule-2.0.so.0 => /usr/lib/libgmodule-2.0.so.0 (0x00007f238eb08000)
   libgthread-2.0.so.0 => /usr/lib/libgthread-2.0.so.0 (0x00007f238e903000)
   libXinerama.so.1 => /usr/lib/libXinerama.so.1 (0x00007f238e700000)
   libXxf86vm.so.1 => /usr/lib/libXxf86vm.so.1 (0x00007f238e4fa000)
   libSM.so.6 => /usr/lib/libSM.so.6 (0x00007f238e2f1000)
   libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00007f238e0cd000)
   libjpeg.so.62 => /usr/lib/libjpeg.so.62 (0x00007f238deab000)
   libtiff.so.3 => /usr/lib/libtiff.so.3 (0x00007f238dc52000)
   libSDL-1.2.so.0 => /usr/lib/libSDL-1.2.so.0 (0x00007f238d9c7000)
   /lib64/ld-linux-x86-64.so.2 (0x00007f239529b000)
   libpangocairo-1.0.so.0 => /usr/lib/libpangocairo-1.0.so.0 (0x00007f238d7bb000)
   libX11.so.6 => /usr/lib/libX11.so.6 (0x00007f238d4b7000)
   libXcomposite.so.1 => /usr/lib/libXcomposite.so.1 (0x00007f238d2b4000)
   libXdamage.so.1 => /usr/lib/libXdamage.so.1 (0x00007f238d0b1000)
   libXfixes.so.3 => /usr/lib/libXfixes.so.3 (0x00007f238ceab000)
   libcairo.so.2 => /usr/lib/libcairo.so.2 (0x00007f238cc36000)
   libXext.so.6 => /usr/lib/libXext.so.6 (0x00007f238ca25000)
   libXrender.so.1 => /usr/lib/libXrender.so.1 (0x00007f238c81b000)
   libXi.so.6 => /usr/lib/libXi.so.6 (0x00007f238c611000)
   libXrandr.so.2 => /usr/lib/libXrandr.so.2 (0x00007f238c40a000)
   libXcursor.so.1 => /usr/lib/libXcursor.so.1 (0x00007f238c200000)
   libICE.so.6 => /usr/lib/libICE.so.6 (0x00007f238bfe5000)
   libuuid.so.1 => /lib/libuuid.so.1 (0x00007f238bde0000)
   libaa.so.1 => /usr/lib/libaa.so.1 (0x00007f238bbc3000)
   libXau.so.6 => /usr/lib/libXau.so.6 (0x00007f238b9c0000)
   libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007f238b7ba000)
   libpixman-1.so.0 => /usr/lib/libpixman-1.so.0 (0x00007f238b577000)
   libglitz-glx.so.1 => /usr/lib/libglitz-glx.so.1 (0x00007f238b370000)
   libGL.so.1 => //usr/lib64/opengl/xorg-x11/lib/libGL.so.1 (0x00007f238b0f3000)
   libglitz.so.1 => /usr/lib/libglitz.so.1 (0x00007f238aeca000)
   libslang.so.2 => /usr/lib/libslang.so.2 (0x00007f238ab89000)
   libdrm.so.2 => /usr/lib/libdrm.so.2 (0x00007f238a97e000)

gtk+: 2.14.7
cairo: 1.8.6
wxGTK: 2.8.9.1-r3
Attachments
aud2.gif
look at the funny rectangular spaces between RMS and peaks
aud2.gif (14.65 KiB) Viewed 3281 times
aud3.gif
when I try to select something it starts to flicker between this image and the next
aud3.gif (15.2 KiB) Viewed 3286 times
slackfx
 
Posts: 2
Joined: Tue May 05, 2009 8:35 am

Re: Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by Gale Andrews » Wed Jun 17, 2009 9:30 pm

1.3.4 is long out-of-date and no longer supported (by us). Support would be provided by your distribution if your 1.3.4 is a packaged version of Audacity.

I recently compiled Audacity (ANSI) from CVS HEAD on Ubuntu and don't see the problem there, and no-one has else reported this that I know of. But as I have only recently installed Linux on one machine, all my libraries are up-to-date. Both of you have outdated Cairo versions, to begin with. I suggest updating all the relevant libraries and building Audacity from CVS HEAD:
http://audacityteam.org/wiki/index.php? ... g_On_Linux
http://audacityteam.org/wiki/index.php? ... rBeginners

You will need to install the development packages for relevant libraries if your distribution supplies these separately. If you can't compile Audacity try updating all graphics libraries to the latest versions and let us know what happens here.


Gale
________________________________________FOR INSTANT HELP: (Click on Link below)
* * * * * Tips * * * * * Tutorials * * * * * Quick Start Guide * * * * * Audacity Manual
Gale Andrews
Quality Assurance
 
Posts: 13886
Joined: Fri Jul 27, 2007 12:02 am

Re: Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by slackfx » Fri Sep 25, 2009 2:35 pm

I have updated my system to use cairo 1.8.8 but the bug persists. Like I said, i could reproduce the bug in just every version of audacity that is in the gentoo repos (the last was 1.3.9) AND the trunk....
slackfx
 
Posts: 2
Joined: Tue May 05, 2009 8:35 am

Re: Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by Gale Andrews » Thu Oct 01, 2009 6:50 am

slackfx wrote:I have updated my system to use cairo 1.8.8 but the bug persists. Like I said, i could reproduce the bug in just every version of audacity that is in the gentoo repos (the last was 1.3.9) AND the trunk....


Unfortunately there isn't much we can do given we can't reproduce the problem. If you suspect wxWidgets, try building Audacity from CVS HEAD against wxGTK2.8.10 or their 2.9.0 development snapshot, then ask them if they know of this issue. Also consider if updating video drivers might help.


Gale
________________________________________FOR INSTANT HELP: (Click on Link below)
* * * * * Tips * * * * * Tutorials * * * * * Quick Start Guide * * * * * Audacity Manual
Gale Andrews
Quality Assurance
 
Posts: 13886
Joined: Fri Jul 27, 2007 12:02 am

Re: Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by xilef » Tue Oct 13, 2009 2:19 pm

I am getting the same type of corruption of the waveform. My details are as follows:

Archlinux x86_64
radeon open source graphics driver, GIT and stable tried
Audacity versions 1.3.9 AND also trunk from 20091013
wxGTK 2.8.10.1
cairo 1.8.8

Tell me if you need more details.

I will try a repo version of wxwidgets 2.9 and see what happens.
xilef
 
Posts: 1
Joined: Tue Oct 13, 2009 2:07 pm

Re: Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by Gale Andrews » Fri Oct 23, 2009 9:19 pm

xilef wrote:I am getting the same type of corruption of the waveform. My details are as follows:
Archlinux x86_64
radeon open source graphics driver, GIT and stable tried
Audacity versions 1.3.9 AND also trunk from 20091013
wxGTK 2.8.10.1
cairo 1.8.8
I will try a repo version of wxwidgets 2.9 and see what happens.


It is of course possible this is a wxGTK problem. Have you raised it with wxWidgets?

I suggested to someone else who e-mailed us about this problem that they try ATI's proprietary Linux drivers and apparently they do not have this problem. So I think you should also make the writers of this open source driver aware of the issue.


Thanks


Gale
________________________________________FOR INSTANT HELP: (Click on Link below)
* * * * * Tips * * * * * Tutorials * * * * * Quick Start Guide * * * * * Audacity Manual
Gale Andrews
Quality Assurance
 
Posts: 13886
Joined: Fri Jul 27, 2007 12:02 am

Re: Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by stephux » Wed Nov 04, 2009 3:44 pm

hi
same problem for me with a sidux up to date, with no graphic misbehaviour (notably, waveshapes in Kdenlive are OK), and audacity version from 1.2. to 1.3.9
did xilef or anybody else manage to have it working ?
folks, when you tell about wxwidgtes and so on, it deals with compiling audacity from source, doesn't it ?
did it fix the problem ?
thanks
stephux
 
Posts: 1
Joined: Wed Nov 04, 2009 2:52 pm

Re: Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by Gale Andrews » Mon Apr 12, 2010 8:31 pm

A bug 21561 has been raised with xorg. To summarise all that:

* If you disable UMS (user mode setting) and use KMS (kernel mode setting) the bug will probably go away

* xorg have made a patch that disables "EXA solid" acceleration and this seems to work around the issue

If you don't want to use the proprietary ATI driver to fix this issue, Al on our development team has suggested the VESA driver. This does not support 3D apparently.

A bug has also been raised with Widgets. They seem to want steps to reproduce. Anyone want to post there with hardware details, and an audio file they can download to reproduce the problem?



Gale
________________________________________FOR INSTANT HELP: (Click on Link below)
* * * * * Tips * * * * * Tutorials * * * * * Quick Start Guide * * * * * Audacity Manual
Gale Andrews
Quality Assurance
 
Posts: 13886
Joined: Fri Jul 27, 2007 12:02 am

Re: Waveform view corrupted in all versions from 1.3.4 - trunk

Permanent link to this post Posted by bojanson » Sat Jun 05, 2010 3:14 pm

the exa patch worked for me thank you!
bojanson
 
Posts: 3
Joined: Sat Jun 05, 2010 3:07 pm
Location: Canada


Return to GNU/Linux and Unix-like



Who is online

Users browsing this forum: No registered users and 5 guests

cron